;; PHASE 1 CASM CONTROL FILE FOR APT RELEASES.
;; 
;; The newest modification comments are at the bottom of the comment block below.
;;
;; ================================== Start Modification History & Comments ===============================
;; 2007-11-29:  ijej
;; This is a copy of /data/lrp/ops-deliverables/feb06/casm-control/phase1.lisp .
;;
;; It contains the following modifications:
;;
;;	1.  change :orb-viewing-mode from :FGS/FHST to :FGS to accommodate switch from 2-gyro to 3-gyro.
;;	2.  change :constraint-set name to match for this nov07 delivery.
;;
;; 2009-07-29:  ijej
;; This is a copy of /data/lrp/ops-deliverables/nov07/casm-control/phase1.lisp .
;;
;; It contains the following modifications:
;;
;;	1.  change :constraint-set name to match for this jul09 delivery.
;;
;; 2009-11-25:	ijej
;;	This is a copy of /data/lrp/ops-deliverables/jul09/casm-control/phase1.lisp .
;;	It contains the following modifications:
;;		1.  change :constraint-set name to match for this nov09 delivery.
;;		2.  structure comment header to provide clearer indications to reader.
;;
;; ================================== End Modification History & Comments ===============================
;;
(DEFINE-CASM-USER-PARAMETERS
  :diagnostics-mode :on  ;; output diagnostics message.

  :casm-running-mode :PI ;; Either :pc or :pi. Diff messages for each mode.
  :orb-viewing-mode  :FGS ;; Model orbital viewing in :FGS mode, :FGS/FHST mode, or in :BOTH
                            ;; modes.  (FGS is the normal three gyro mode.  FGS/FHST mode is for
                            ;; use in two gyro mode (when Spike must model FHST and FGS visibility
                            ;; overlaps during guide star acqs.), and  :BOTH is for use in two gyro
                            ;; mode, but three gyro orb-viewing intervals will be generated for
                            ;;comparison purposes.)
  :caching-style :flat   ;; Either :dir or :flat. If :dir it stores cache
                         ;; files - orient tables, cv-desc files, and event
                         ;; files by constraint set name under the
                         ;; description-files directory. If :flat then files
                         ;; are stored under the description-files directory
                         ;; with the constraint set embedded in the filename.

  :ignore-if-tic-out-of-date nil ;; If non-nil, CASM will ignore visits with
                                 ;; out of date TICs

  :constraint-set-name "nov09" ;;name of constraint set

  :include-gs-data nil  ;; This should be set to t when we are ready to
                        ;; activate GS processing for APT.

  :low-sky-display :combined ;; :COMBINED - One constraint called Low sky
                             ;; :SEPARATE - Two constriants: Low Sky
                             ;; Visibility and Low Sky Windows"

  :moving-target-mode :ephemeris ;; reads .trh files for moving targets

  :moss-window-mode :file        ;; MOSS windows should be read from a file.

 :af-database-style :sybase     ;; features of the assignment files
)
