;; modification history:
;; 07-03-07	ijej: 
;;	copied file over from mar06/casm-control/
;; 	changed name of constraint set to mar07-phase2
;;	added :fhst-sau-filter-su-vis-ratio 0.9
;;
;;
;;


(DEFINE-CASM-USER-PARAMETERS
  :diagnostics-mode :on  	;; output diagnostics message.

  :casm-running-mode :PI 	;; Either :pc or :pi. Diff messages for each mode.

  :orb-viewing-mode  :FGS/FHST 	;; Model orbital viewing in :FGS mode, :FGS/FHST mode, or in :BOTH
                            	;; modes.  (FGS is the normal three gyro mode.  FGS/FHST mode is for
                            	;; use in two gyro mode (when Spike must model FHST and FGS visibility 
                            	;; overlaps during guide star acqs.), and  :BOTH is for use in two gyro
                            	;; mode, but three gyro orb-viewing intervals will be generated for
                            	;;comparison purposes.)

  :caching-style :flat   ;; Either :dir or :flat. If :dir it stores cache 
                         ;; files - orient tables, cv-desc files, and event 
                         ;; files by constraint set name under the 
                         ;; description-files directory. If :flat then files 
                         ;; are stored under the description-files directory 
                         ;; with the constraint set embedded in the filename.
  
  :ignore-if-tic-out-of-date nil ;; If non-nil, CASM will ignore visits with 
                                 ;; out of date TICs
  
  :constraint-set-name "mar07-phase2" ;;name of constraint set
  
  :include-gs-data nil  ;; This should be set to t when we are ready to 
                        ;; activate GS processing for APT.

  :low-sky-display :combined ;; :COMBINED - One constraint called Low sky
                             ;; :SEPARATE - Two constriants: Low Sky 
                             ;; Visibility and Low Sky Windows"
  
  :moving-target-mode :ephemeris ;; reads .trh files for moving targets
  
  :moss-window-mode :file        ;; MOSS windows should be read from a file.
  
  :af-database-style :sybase     ;; features of the assignment files

  :fhst-sau-filter-su-vis-ratio 0.9	;; part of casm speedup modifications 07-03-07.

)

